import { uniq } from "../util.js";
const subscriptionPath = "Device.LocalAgent.Subscription.";
const make = (call, on) => async (opts, callback) => {
const id = "NOTIFY@" + (opts.id || uniq());
const refList = Array.isArray(opts.reference) ? opts.reference.join(",") : opts.reference;
const newSubPath = await call("ADD", {
path: subscriptionPath,
value: {
Enable: true,
ID: id,
NotifType: opts.notif,
ReferenceList: refList,
Persistent: false,
},
});
const clear = on(id, callback);
return () => {
clear();
return call("DELETE", { paths: newSubPath });
};
};
export default {
name: "subscribe",
make,
};
