import { CommandType, CallFn, OnFn, DecodeResponse, Proto, DecodeOptions } from "../types";
export declare const makeRecipes: (call: CallFn, on: OnFn) => any;
export declare const decodeId: (data: any) => string;
export declare const readMsg: (proto: Proto, data: any) => Record<string, any>;
export declare const decode: (parsedMsg: any) => DecodeResponse;
export declare const decodeWithOptions: (parsedMsg: any, cmdType: CommandType | undefined, options: DecodeOptions) => any;
export declare const makeEncode: (proto: Proto, options?: Record<string, string> | undefined) => (command: CommandType, args: Record<string, any>) => [string, any, string | null];
