import * as util from "./util.js";
const decode = (msg) => {
const results = util.search(msg, "agentSupportedProtocolVersions");
return [results];
};
const encode = ({ versions }) => ({
lookup: "Msg",
header: {
msgId: util.uniq("GET_SUPPORTED_PROTO@"),
msgType: "GET_SUPPORTED_PROTO",
lookup: "Header",
},
body: {
lookup: "Body",
request: {
lookup: "Request",
getSupportedProtocol: {
controllerSupportedProtocolVersions: versions,
},
},
},
});
export default {
decode,
encode
};
